ESDREC(1)

NAME
esdrec - record a sound file

SYNOPSIS

esdrec [-s hostname:port] [-b] [-h] [-m] [-r freq]

DESCRIPTION

The esdrec application pipes data from the sound device to stdout using the Enlightened Sound Daemon (esd).

OPTIONS

The following options are supported:

-s hostname:port
Contact the esd server on hostname at port.

-b
Specify that the output should be in 8-bit format. By default, the output is in 16-bit format.

-h
Display help text, and exit.

-m
Specify that the output should be in mono format. By default, the output is in stereo format.

-r freq
Specify that the output rate should be set to freq. By default, the output rate is set to 44.1 kHz.

EXAMPLES

Example 1: Record sound from sound device to file "sample"

example% esdrec > sample

EXIT STATUS

The following exit values are returned:

0
Application exited successfully

>0
Application exited with failure

SEE ALSO
esd(1), esdcat(1), esddsp(1), esdloop(1), esdplay(1), esdsample(1), esd-config(1), esdctl(1), esdfilt(1), esdmon(1)